# This script continuously polls for events issued from the Ki Pro unit via the REST API.

# Arguments:  hostname or IP address of Ki Pro unit.

import urllib, sys
import string
import kipro
import json    # New in version 2.6

address = sys.argv[1]

def wait_for_config_events(host,connectionid=None):
	events_stream = urllib.urlopen("http://" + host + "/json?action=wait_for_config_events&configid=0&connectionid=" + connectionid)
	if (events_stream.getcode() == 200) :
		events_json = events_stream.read()
		events = json.loads( events_json )
		return events
	return None

def connect(host):
	connect_stream = urllib.urlopen("http://" + host + "/json?action=connect&configid=0")
	if (connect_stream.getcode() == 200) :
		connect_json = connect_stream.read()
		connection = json.loads( connect_json )
		return connection
	return None

connection = connect(address)

try:
	while (True):
		events = wait_for_config_events(address,connection["connectionid"])
		for event in events:
			try:
				print "Param changed: " + event["param_id"] + " (" + event["str_value"] + ")"

			except KeyError: 
				print "Param changed: " + event["param_id"]
	
except KeyboardInterrupt:
	print " Interrupt - exit."

