# Example script to load a given clip and park on the first frame
#
# This script assumes that the unit is in IDLE 
#
# For purposes of illustration, fixed delays are inserted below to allow
# the Ki Pro to process the commands it is given.  When writing your own
# production code, these delays may be too short or unnecessarily long;
# a better approach would be to wait for timecode,
# transport state (eParamID_TransportState), or
# current clip (eParamID_CurrentClip) to change.

# Arguments:  hostname or IP address of Ki Pro unit, clip name

import urllib, sys
import kipro
import time

address = sys.argv[1]
clipName = sys.argv[2] + ".mov";

# Pause clip in case playing
params = urllib.urlencode({'paramName':'eParamID_TransportCommand','newValue' : kipro.KiProAPI.eTCStop})
f = urllib.urlopen("http://"+address+"/config", params)
print f.read()

time.sleep(.250)

# Enter stop/E-E 
params = urllib.urlencode({'paramName':'eParamID_TransportCommand','newValue' : kipro.KiProAPI.eTCStop})
f = urllib.urlopen("http://"+address+"/config", params)
print f.read()

time.sleep(.250)


params = urllib.urlencode({'paramName':'eParamID_GoToClip','newValue' : clipName})
f = urllib.urlopen("http://"+address+"/config", params)
print f.read()

time.sleep(.250)

params = urllib.urlencode({'paramName':'eParamID_TransportCommand','newValue' : kipro.KiProAPI.eTCSingleStepForward})
f = urllib.urlopen("http://"+address+"/config", params)
print f.read()
