# This script commands the Ki Pro to start recording a new clip with the given clip name.
# If the clip already exists, it will be overwritten.

# Warning:  Use of this script will leave the Ki Pro in an unusual state, such that the clip take
# number will not increment, and any use of the 'record' button on the front panel or web
# interface will overwrite the current clip.

# To restore the Ki Pro to normal operation, in addition to setting menu item 19.1 'Use Custom Clip Name'
# and 19.2 'Custom Clip Name' to the desired values, it is necessary to set eParamID_UseCustomClipTake to 1.
# The latter can only be accomplised either via the REST API, by power cycling the Ki Pro unit,
# or as a result of selecting menu item 99.1, Factory Reset.

# Arguments:  hostname or IP address of Ki Pro unit, clip name

import urllib, sys
import kipro

address = sys.argv[1]
clipName = sys.argv[2]

params = urllib.urlencode({'paramName':'eParamID_UseCustomClipTake','newValue' : 0})
f = urllib.urlopen("http://"+address+"/config", params)
print f.read()

params = urllib.urlencode({'paramName':'eParamID_UseCustomClipName','newValue' : 1})
f = urllib.urlopen("http://"+address+"/config", params)
print f.read()

params = urllib.urlencode({'paramName':'eParamID_CustomClipName','newValue' : clipName})
f = urllib.urlopen("http://"+address+"/config", params)
print f.read()

params = urllib.urlencode({'paramName':'eParamID_TransportCommand','newValue' : kipro.KiProAPI.eTCRecord})
f = urllib.urlopen("http://"+address+"/config", params)
print f.read()
