/*
	Copyright (C) 2012 AJA Video Systems, Inc.  Proprietary and Confidential information.  All rights reserved.

	THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
	TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
	THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
	TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
*/


// main.cpp : Defines the entry point for the console application.
//

#ifdef WIN32
#include "stdafx.h"
#endif

#include <stdio.h>
#include <string>
#include <time.h>

#include "config_control.h"

#ifdef WIN32
int _tmain(int argc, _TCHAR* argv[])
#else
int main(int argc, char* argv[])
#endif
{
	std::string host("10.3.69.212");
	aja::examples::restapi::config_control::ConfigControl config(host, 80);

	if (!config.Connect())
	{
		printf("main: unable to connect to %s\n", host.c_str());
		getchar();
		return -1;
	}

	std::string value = "1";
	if (!config.SetParam("eParamID_LED_Identify", value))
	{
		printf("main: unable to set eParamID_LED_Identify\n");
		getchar();
		return -1;
	}

	if (!config.SetParam("eParamID_LED_Identify", "0"))
	{
		printf("main: unable to set eParamID_LED_Identify2\n");
		getchar();
		return -1;
	}


	printf("Press any key to continue\n");
	getchar();

	config.Disconnect();

	return 0;
}
