/*
	Copyright (C) 2012 AJA Video Systems, Inc.  Proprietary and Confidential information.  All rights reserved.

	THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
	TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
	THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
	TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
*/

// kumo_control.cpp : Defines the entry point for the console application.
//

#ifdef WIN32
#include "stdafx.h"
#endif

#include <stdio.h>
#include <string>
#include <time.h>

#include "kumo_control.h"

#ifdef WIN32
int _tmain(int argc, _TCHAR* argv[])
#else
int main(int argc, char* argv[])
#endif
{
	std::string host("10.3.69.204");
	aja::examples::restapi::kumo_control::KUMOControl kumo(host, 80);

	if (!kumo.Connect())
	{
		printf("main: unable to connect to %s\n", host.c_str());
		getchar();
		return -1;
	}

	if (!kumo.SetCrosspoint(1,15))
	{
		printf("main: unable to set crosspoint 15\n");
		getchar();
		return -1;
	}

	if (!kumo.SetCrosspoint(1,16))
	{
		printf("main: unable to set crosspoint 16\n");
		getchar();
		return -1;
	}

	int current_crosspoint = 0;
	if (!kumo.GetCrosspoint(1,current_crosspoint))
	{
		printf("main: unable to set crosspoint 16\n");
		getchar();
		return -1;
	}
	if (current_crosspoint != 16)
	{
		printf("Crosspoint fail...%d\n", current_crosspoint);
		getchar();
		return -1;
	}
	printf("Crosspoint test ok (%d)\n", current_crosspoint);

	if (!kumo.SetCrosspoint(1,14))
	{
		printf("main: unable to set crosspoint 14\n");
		getchar();
		return -1;
	}

	if (!kumo.SetParam("eParamID_XPT_Destination1_Line_1","Hello"))
	{
		printf("main: unable to set hostname\n");
		getchar();
		return -1;
	}

	if (!kumo.SetParam("eParamID_XPT_Destination1_Line_2","World"))
	{
		printf("main: unable to set hostname\n");
		getchar();
		return -1;
	}

	std::string value;
	if (!kumo.GetParam("eParamID_XPT_Destination1_Status", value))
	{
		printf("main: unable to get crosspoint status 1\n");
		getchar();
		return -1;
	}
	printf("Crosspoint = %s\n", value.c_str());

	if (!kumo.SetCrosspoint(1,12))
	{
		printf("main: unable to set crosspoint 14\n");
		getchar();
		return -1;
	}

	if (!kumo.GetParam("eParamID_XPT_Destination1_Status", value))
	{
		printf("main: unable to get crosspoint status 2\n");
		getchar();
		return -1;
	}
	printf("Crosspoint = %s\n", value.c_str());

	if (!kumo.GetParam("eParamID_SuppressPSAlarm", value, "json"))
	{
		printf("main: unable to get eParamID_SuppressPSAlarm status \n");
		getchar();
		return -1;
	}
	printf("SuppressPSAlarm = %s\n", value.c_str());

	printf("Press any key to continue\n");
	getchar();

	kumo.Disconnect();

	return 0;
}
